﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=10
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private WebView1 As WebView
	Dim WebViewExtras1 As WebViewExtras
End Sub

'You can add more parameters here.
Public Sub Initialize

End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	'load the layout to Root
	Root.LoadLayout("Controlpad")
	
	'   add the B4A javascript interface to the WebView
	WebViewExtras1.addJavascriptInterface(WebView1, "B4A")
	
	'   adding a WebChromeClient will log all browser console message to the android log
	'   so any webpage or javascript errors will be logged
	WebViewExtras1.addWebChromeClient(WebView1, "")
	
	WebView1.LoadHtml($"
<!DOCTYPE html>
<html>

<head>

<script>
var command = "";

function on_setting_changed() {

	document.getElementById("set_command_button").style.background='#FF0000';
	document.querySelector('#set_command_button').value = 'Submit Changes';
};

function SetCommandString() {

	var fav_num;
	var fav_fruit;
	var fav_color;
	var fav_car;

	fav_num = document.getElementById("number").value;

	var ele = document.getElementsByName('fruit');
	for(i = 0; i < ele.length; i++) {
		if(ele[i].checked)
			fav_fruit = ele[i].value;			
	}

	fav_color = document.getElementById("color").value;

	var ele = document.getElementsByName('car');
	for(i = 0; i < ele.length; i++) {
		if(ele[i].checked)
			fav_car = ele[i].value;
	}

	command = "<" + fav_num + fav_fruit + fav_color + fav_car + ">";

	document.getElementById("set_command_button").style.background='#00FF00';
	document.querySelector('#set_command_button').value = 'Changes Submitted';

	B4A.CallSub('Update_Command', false, command);
}
</script>

<meta name="viewport" content="width=device-width, initial-scale=1.0">

</head>

<body>

<br>

<form>

<b>Favorite Number</b>

<br>

<select id="number" onchange="on_setting_changed()" size="9">
<option selected value=0>---------------- Zero -----------------</option>
<option value=1>One</option>
<option value=2>Two</option>
<option value=3>Three</option>
<option value=4>Four</option>
<option value=5>Five</option>
<option value=6>Six</option>
<option value=7>Seven</option>
<option value=8>Eight</option>
<option value=9>Nine</option>
<option value=10>Ten</option>
<option value=11>Eleven</option>
<option value=12>Twelve</option>
<option value=13>Thirteen</option>
<option value=14>Fourteen</option>
<option value=15>Fifteen</option>
<option value=16>Sixteen</option>
<option value=17>Seventeen</option>
<option value=18>Eighteen</option>
<option value=19>Nineteen</option>
<option value=20>Twenty</option>
</select>

<br>
<br>

<b>
Favorite Fruit
</b>

<br>

<input type="radio" onchange="on_setting_changed()" name="fruit" value="A" checked>Apricots

<br>

<input type="radio" onchange="on_setting_changed()" name="fruit" value="B">Apples

<br>

<input type="radio" onchange="on_setting_changed()" name="fruit" value="C">Oranges

<br>

<input type="radio" onchange="on_setting_changed()" name="fruit" value="D">Grapes

<br>

<input type="radio" onchange="on_setting_changed()" name="fruit" value="E">Pears

<br>

<input type="radio" onchange="on_setting_changed()" name="fruit" value="F">Peaches

<br>

<input type="radio" onchange="on_setting_changed()" name="fruit" value="G">Strawberries

<br>
<br>

<b>Favorite Color</b> 

<br>

<select id="color" onchange="on_setting_changed()" size="1">
<option selected value=J>Blue</option>
<option value=K>Red</option>
<option value=L>Green</option>
<option value=M>Yellow</option>
<option value=N>Pink</option>
<option value=O>Black</option>
<option value=P>White</option>
<option value=Q>Grey</option>
<option value=R>Fuscia</option>
<option value=S>Magenta</option>
</select>

<br>
<br>

<b>
Favorite Car
</b>

<br>

<input type="radio" onchange="on_setting_changed()" name="car" value="V" checked>Chevy

<br>

<input type="radio" onchange="on_setting_changed()" name="car" value="W">Buick

<br>

<input type="radio" onchange="on_setting_changed()" name="car" value="X">Olds

<br>

<input type="radio" onchange="on_setting_changed()" name="car" value="Y">Chrysler

<br>

<input type="radio" onchange="on_setting_changed()" name="car" value="Z">Dodge

<br>

<br>

<input type="button" id="set_command_button" style="height:21px;width:204px" onclick="SetCommandString()" value="Share your favorites">

</form>

</body>
</html>
	"$)
End Sub

Sub Update_Command(command As String)
	
	B4XPages.MainPage.SendMessage(command)
	Log("Update_Command: "&command)
End Sub

'Return True to close, False to cancel
Sub B4XPage_CloseRequest As ResumableSub
	If B4XPages.MainPage.ConnectionState = True Then
		Dim sf As Object = xui.Msgbox2Async("Disconnect?", "", "Yes", "", "No", Null)
		Wait For (sf) Msgbox_Result (Result As Int)
		If Result = xui.DialogResponse_Positive Then
			Log("Deleted!!!")
			B4XPages.MainPage.Disconnect
			Return True
		Else
			Return False
		End If
	End If
	Return True
End Sub